import { AbstractPropertyValueViewComponent } from '../abstract-property-value-view.component';
import * as i0 from "@angular/core";
export declare class FileValueViewComponent extends AbstractPropertyValueViewComponent {
    get key(): string | undefined;
    get name(): string | undefined;
    get source(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileValueViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileValueViewComponent, "ax-file-value-view", never, {}, {}, never, never, false, never>;
}
